.branch-locator {
    display: flex;
}

.branch-section .duplicate-dropdown {
    display: none;
}

.branch-locator .map-section {
    flex: 1 1 60%;
    min-width: 300px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

#map {
    width: 100%;
    height: 100%;
    min-height: 400px;
    /* ensures visibility */
    border-radius: 8px;
    border: 1px solid #ddd;
}

.branch-locator .branch-locator-section {
    text-align: center;
    padding: 20px;
    font-family: var(--body-font-family);
}

.branch-locator .branch-locator-row h2 {
    margin-bottom: 30px;
}

.branch-locator .branch-locator-row .form-row {
    margin-bottom: 20px;
}

.branch-locator .branch-locator-row .form-row {
    display: none;
}

.branch-locator .branch-locator-section h2 {
    color: #0c3c6e;
    margin-bottom: 20px;
}

.branch-locator .form-row {
    display: flex;
    justify-content: flex-start;
    gap: 20px;
    flex-wrap: wrap;
    /* responsive */
}

.select-wrapper {
    position: relative;
    /* min-width: 310px; */
    min-width: 100%;
}

.select-wrapper select {
    width: 100%;
    padding: 14px 40px 14px 12px;
    /* extra space for arrow */
    border: 1px solid rgba(17, 17, 17, 0.12);
    border-radius: 12px;
    font-size: 14px;
    line-height: 22px;
    color: #5a6b7d;
    background: #fff;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    font-family: 'mulish-regular';
}

.select-wrapper select::placeholder {
    color: rgba(17, 17, 17, 0.5);
}

/* custom angle arrow */
.select-wrapper::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 22px;
    width: 8px;
    height: 8px;
    border-right: 2px solid #97291e;
    border-bottom: 2px solid #97291e;
    transform: translateY(-50%) rotate(45deg);
    /* makes angle arrow */
    pointer-events: none;
}

.select-wrapper select:focus {
    outline: none;
    border-color: #2a6ebc;
    box-shadow: 0 0 6px rgba(42, 110, 188, 0.3);
}

.branch-locator .map {
    width: 60%;
    background-color: pink;
}

.branch-locator .branch-section {
    flex: 1;
    margin: 0 auto;
    padding: 40px;
}

.branch-locator .branch-section h1 {
    font-size: 26px;
    margin-bottom: 15px;
    font-weight: 600;
    font-family: var(--body-font-family-semibold);
}

.branch-cards-wrapper {
    height: 471px;
    overflow-y: auto;
    scrollbar-width: thin;
    /* Firefox */
    scrollbar-color: #97291E #f1f1f1;
    /* Firefox: thumb + track */
}

.branch-section {
    flex: 1 1 30%;
    min-width: 30%;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding-right: 10px;
    box-sizing: border-box;
}

.branch-section .search-box {
    display: flex;
    border: 1px solid #ddd;
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 20px;
}

.branch-section .search-box input {
    flex: 1;
    border: none;
    padding: 12px;
    font-size: 16px;
    outline: none;
    background: rgba(17, 17, 17, 0.04);
}

.branch-section .search-box input::placeholder {
    color: rgba(17, 17, 17, 1);
    font-size: 14px;
    opacity: 0.5;
}

.branch-section .search-box button {
    background: none;
    border: none;
    padding: 0 15px;
    cursor: pointer;
    font-size: 18px;
    background: rgba(17, 17, 17, 0.04);
}

.branch-section .branch-card {
    background: #fff;
    border: 1px solid #eee;
    border-radius: 12px;
    padding: 15px;
    margin-right: 8px;
    margin-bottom: 15px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.05);
}

.branch-section .branch-card p {
    color: rgba(23, 20, 43, 1);
    opacity: 70%;
    font-size: 12px;
}

.branch-card .branch-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.branch-card .branch-header h2 {
    font-size: 18px;
    font-weight: 600;
    color: var(--color-red);
    /* red shade like screenshot */
    margin: 0 10px;
    flex: 1;
    font-family: var(--body-font-family-semibold);
}

.branch-card .branch-header .icon {
    font-size: 18px;
    color: #c52d2d;
}

.branch-card .branch-header .send-btn {
    background: none;
    border: none;
    border-radius: 6px;
    padding: 6px 8px;
    cursor: pointer;
    font-size: 16px;
    color: #fff;
}

.branch-card .address {
    margin: 8px 0;
    line-height: 1.4;
}

.branch-card .call-detail {
    display: flex;
    justify-content: space-between;
}

.branch-card .call-detail .contact,
.branch-card .call-detail .time {
    font-size: 12px;
    margin: 4px 0;
}

/* @media (max-width: 820px) {
   .branch-section {
    min-width: 44%;
   }
} */

/* Responsive */
@media (max-width: 820px) {

    .branch-locator .branch-section {
        padding: 0 16px;
    }

    .branchlocator-wrapper {
        padding: 0 !important;
    }

    .branch-locator-row {
        padding: 0 16px;
    }

    .branch-locator {
        flex-direction: column;
        gap: 20px;
    }

    .branch-locator .branch-section h1 {
        font-size: 20px;
        font-weight: normal;
        font-family: var(--body-font-family);
    }

    .select-wrapper {
        min-width: auto;
        flex: 0.5;
    }

    .branch-cards-wrapper {
        height: 100%;
        overflow-y: unset;
        /* Firefox: thumb + track */
    }

    .branch-locator-row .form-row {
        display: none;
    }

    .branch-section .duplicate-dropdown {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: space-between;
    }

    #map {
        border-radius: 0;
    }
}

/* .branch-card.is-selected {
    background-color: #ff7300;
} */